<template lang="pug">
.row.x-runs
  .col-12.col-xl-3.mb-1.order-xl-2(key='search')
    .row
      .col-12
        BaseCard.highlightOnFocus(title='Search' tabindex='-1'
                                  @keydown.enter.native.stop='doSearch')
          li(key='0')
            .row.b-param-container
              BaseParamList.col-12(ref='earNumber' :inEdit='true' title='Experimental Area' v-if='!area')
                template(v-slot:options='')
                  option(value='') any
                  option(value='1') EAR1
                  option(value='2') EAR2
                  option(value='3') EAR3
              BaseParamInput.col-12(ref='title' :inEdit='true' :value='title')
                template(v-slot:title)
                  strong Title / Description
                  span.badge.bg-light.text-muted.float-right.align-self-center.shadow-sm(title='use * or ? wildcards') glob
              BaseParamInput.col-12(ref='folder' :inEdit='true' :value='folder')
                template(v-slot:title)
                  strong Archiver Folder
                  span.badge.bg-light.text-muted.float-right.align-self-center.shadow-sm(title='use * or ? wildcards') glob
              BaseParamInput.col-12(ref='runNumber' :inEdit='true' title='Run Number' :value='runNumber')
              BaseParamDate.col-12(ref='date' :inEdit='true' title='Date' :timestamp='date')
            .row.no-gutters.mt-1
              button.x-search.btn.btn-primary.ml-auto(ref='search' @click='doSearch')
                kbd.mr-2(v-if="showKeyHints") Ctrl+S
                | Search
      .col-12.mt-4
        RunsExport(:title='`Export ${area} RunBook`' :filePrefix='`export-${area}`' :area='area')

  .col-12.col-xl-9(key='results')
    BaseCard
      li(key='ctrl')
        .row.justify-content-between
          .col-auto.d-flex
            nav.justify-content-center(aria-label='Pagination')
              ul.pagination
                li.page-item(:class="{ disabled: page === 0 }")
                  button.page-link(type='button'  @click="goToPage(page - 1)"
                    :disabled='page === 0') #[i.fa.fa-angle-left]
                li.page-item()
                  button.page-link(type='button' @click="goToPage(page + 1)") #[i.fa.fa-angle-right]
            span
              kbd.ml-1(v-if='showKeyHints') Ctrl-#[.fa.fa-caret-left.mr-1]#[.fa.fa-caret-right]
          BaseAnimationBlock
            .col-auto.align-content-center(v-if="loading")
              i.align-bottom.fa.fa-spinner.fa-pulse
          .col-auto
            BaseSelect.x-entries(v-model.number='max' :inEdit='true' :noEditIcon='true')
              template(v-slot:options='')
                option(:value='20') 20
                option(:value='40') 40
                option(:value='100') 100

      li.p-0(v-if='!loading' key='rows')
        table.table.table-sm.table-hover
          thead.bg-light.table-head
            tr
              th.text-center Status
              th.text-center Run Number
              th.d-md-table-cell.d-none Archive Folder
              th Title
              th.text-center Start
              th.text-center.d-xl-table-cell.d-none Stop
              th.text-center # Total Protons
              th.text-center(title="# Calibration / # Dedicated / # Parasitic"
                data-toggle="tooltip" data-placement="top") # C / # D / # P Triggers
          tbody
            router-link(:key='run.runNumber' v-for='run in rows' tag='tr'
                        :to='{ path: run.runNumber.toString() }' append='').clickable
              td.text-center
                RunStatusIcon(:run='run')
              td.text-center {{ run.runNumber }}
              td.d-md-table-cell.d-none {{ run.castorFolder }}
              td(:title="run.title | untruncate") {{ run.title | truncate }}
              td.text-center.text-nowrap.d-xl-table-cell.d-none {{ run.start | dateTime }}
              td.text-center.text-nowrap.d-xl-none {{ run.start | dateTime("yyyy-LL-dd") }}
              td.text-center.text-nowrap.d-xl-table-cell.d-none {{ run.stop | dateTime }}
              td.text-center(:title='run.totalProtons') {{ run.totalProtons | b-bigNumber }}
              td.text-center(:title='run.totalProtons')
                span(:class="{'text-muted': run.triggersCalibration == 0}") {{ run.triggersCalibration }}
                span.mx-1.text-muted /
                span(:class="{'text-muted': run.triggersPrimary == 0}") {{ run.triggersPrimary }}
                span.mx-1.text-muted /
                span(:class="{'text-muted': run.triggersParasitic == 0}") {{ run.triggersParasitic }}
</template>
<script>
export { default } from './Runs.vue.js';
</script>
<style>
.x-runs .table th {
  vertical-align: middle;
  font-size: 0.9rem;
}
</style>
